Name: grep-gnu
Version: 3.0
Release: 3
License: GPL-3.0-or-later
Summary: GNU gzip
Url: https://www.gnu.org/software/grep

Source0: https://ftp.gnu.org/pub/gnu/grep/grep-%{version}.tar.xz


%description
Grep searches one or more input files for lines containing a match to a specified pattern. By default, Grep outputs the matching lines.

%prep
%setup -q -n grep-%{version}


%build

# perl -p -i -e 's|#! */bin/sh|#!/QOpenSys/usr/bin/sh|' src/egrep.sh src/fgrep

%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_lstat=yes \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-nls \
  --disable-rpath
  
%make_build


%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/grep
%{_bindir}/egrep
%{_bindir}/fgrep
%{_infodir}/grep.info*
%{_mandir}/man1/grep.1*
%{_mandir}/man1/fgrep.1*
%{_mandir}/man1/egrep.1*



%changelog
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.0
- Use generic paths for man and info pages to allow for compression

* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 3.0
- Disable half-implemented *at APIs, fixing IBM i 7.2 build

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 3.0
- Use SPDX license identifier

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix unshipped file: remove charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
